/* Утилита для объединения обработчиков */
var mergeHandlers = function mergeHandlers(userHandler, injectedHandler) {
  return function (event) {
    try {
      if (userHandler) {
        userHandler(event);
      }
    } catch (e) {
      console.error(e);
      throw e;
    } finally {
      if (!event.defaultPrevented && injectedHandler) {
        injectedHandler(event);
      }
    }
  };
};

export { mergeHandlers };
